Subject: Re: [PATCH net-next v2 0/2] net: phy: improve PHY suspend/resume

From: Andrew Lunn <[email-masked]>
Date: Wed, 30 May 2018 22:35:12 +0200

> I think we need a better solution than spending the effort needed
> to make the MDIO ops runtime-pm-aware. In general there seems to be
> just one network driver using both phylib and runtime pm, so most
> drivers aren't affected (yet).
> 
> I will spend few more thoughts on a solution ..

Hi Heiner

Please keep in mind that MDIO is a generic bus. Many Ethernet switches
are connected via MDIO. Some of those switches have MDIO busses of
their own. Also, some Broadcom devices have USB-PHYs controlled over
MDIO, etc.

So you need a generic solution here.

   Andrew